package main

import (
	"git.sharkk.net/Sky/Moonshark/core/config"
	"git.sharkk.net/Sky/Moonshark/core/logger"
)

func main() {
	// Initialize logger
	log := logger.New(logger.LevelInfo, true)
	defer log.Close()

	log.Info("Starting Moonshark server")

	// Load configuration from config.lua
	cfg, err := config.Load("config.lua")
	if err != nil {
		log.Warning("Failed to load config.lua: %v", err)
		log.Info("Using default configuration")
		cfg = config.New()
	}

	// Get port from config or use default
	port := cfg.GetInt("port", 3117)

	// Output the port number
	log.Info("Moonshark server listening on port %d", port)
}
